Create an exception list item
- Base URL
-
https://{kibana_url}
- POST /api/exception_lists/items
- POST /s/{space_id}/api/exception_lists/items
Create an exception item and associate it with the specified exception list.
Before creating exception items, you must create an exception list.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Request body
Exception list item's properties
-
item_idstring · format: nonempty · min length: 1 -
A string that does not contain only whitespace characters
-
list_idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
namestring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
Responses
Successful response
-
commentsobject[]required -
idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
item_idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
list_idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
namestring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
Invalid input data response
Unsuccessful authentication response
Not enough privileges response
Exception list item already exists response